Loading...
Searching...
No Matches
CxxTest::ValueTraits< const unsigned long int > Class Reference

`#include <ValueTraits.h>`

## Public Member Functions

| ValueTraits (T t)
const char * | asString (void) const

## Private Types

typedef unsigned long int | T
enum |

## Private Attributes

char | _asString [1+3 *sizeof(T)]

## Detailed Description

Definition at line 257 of file ValueTraits.h.

## Member Typedef Documentation

## T

typedef unsigned long int CxxTest::ValueTraits< const unsigned long int >::T

private

Definition at line 259 of file ValueTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Definition at line 76 of file ValueTraits.h.

{ MAX_BYTES = 8 };
CxxTest::ValueTraits< const unsigned long int >::MAX_BYTES
@ MAX_BYTES
Definition ValueTraits.h:76

## Constructor & Destructor Documentation

## ValueTraits()

CxxTest::ValueTraits< const unsigned long int >::ValueTraits | ( | T | t | ) |

inline

Definition at line 262 of file ValueTraits.h.

{ numberToString<T>( t, _asString ); }
CxxTest::ValueTraits< const unsigned long int >::_asString
char _asString[1+3 *sizeof(T)]
Definition ValueTraits.h:260
CxxTest::ValueTraits
Definition ValueTraits.h:75

## Member Function Documentation

## asString()

const char * CxxTest::ValueTraits< const unsigned long int >::asString | ( | void |  | ) | const

inline

Definition at line 263 of file ValueTraits.h.

{ return _asString; }

## Field Documentation

## _asString

char CxxTest::ValueTraits< const unsigned long int >::_asString[1+3 *sizeof(T)]

private

Definition at line 260 of file ValueTraits.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ValueTraits.h